#include<bits/stdc++.h>
using namespace std;
long long a[100001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, k;
    cin >> n >> k;
    long long ans = 0, f = -1;
    for(long long i = 0; i < n; i++){
        cin >> a[i];
        if(a[i] != 0)f = i;
    }
    if(k != 1){
        for(long long i = 0; i < n; i++){
            long long anss = a[i];
            for(long long j = i; j < n; j++){
                anss = anss | a[j];
                if(anss >= k){
                    //cout << i << " " << j << " " << anss << " " << k << endl;
                    ans += n - j;
                    break;
                }
            }
        }
        cout << ans;
    }else{
        if(f == -1){
            cout << 0 << endl;
            return 0;
        }
        for(long long i = 0; i < n; i++){
            long long anss = a[i];
            for(long long j = max(f, i); j < n; j++){
                if(a[j] != 0){
                    ans += n - j;
                    break;
                }
            }
        }
        cout << ans;
    }

    return 0;
}
